{% extends "app/base_site.html" %}

{% block title %} Detalles de tienda {% endblock %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>{{ store.name }}</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="content">
                            <div class="row">
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">RUC - Número de
                                        establecimiento:</label> {{ store.integrationId }}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Disponibilidad:</label>
                                    {% if store.active %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Activa">
                                            <i class="fa fa-chevron-circle-down green"></i>
                                        </div>
                                    {% else %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Inactiva">
                                            <i class="fa fa-chevron-circle-down red"></i>
                                        </div>
                                    {% endif %}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Modo Producción:</label>
                                    {% if store.production_mode %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Activo">
                                            <i class="fa fa-chevron-circle-down green"></i>
                                        </div>
                                    {% else %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Inactivo">
                                            <i class="fa fa-chevron-circle-down red"></i>
                                        </div>
                                    {% endif %}
                                </div>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Modo Desarrollo:</label>
                                    {% if store.develop_mode %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Activo">
                                            <i class="fa fa-chevron-circle-down green"></i>
                                        </div>
                                    {% else %}
                                        <div class="fa-hover col-md-3 col-sm-4" title="Inactivo">
                                            <i class="fa fa-chevron-circle-down red"></i>
                                        </div>
                                    {% endif %}
                                </div>
                                <br/>
                                <div class="container">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label">Agregadores</label>
                                </div>
                                {% for store_aggregator in store_aggregators %}
                                    <br/>
                                    <div class="container">
                                        <label class="col-md-3 col-sm-3 col-xs-12 control-label">{{ store_aggregator.aggregator.name }}</label>
                                    </div>
                                    <div class="container">
                                        <label class="col-md-3 col-sm-3 col-xs-12 control-label">Identificador en el
                                            agregador:</label>
                                        {% if store_aggregator.relation_id != None %}
                                            {{ store_aggregator.relation_id }}
                                        {% endif %}

                                    </div>
                                    <div class="container">
                                        <label class="col-md-3 col-sm-3 col-xs-12 control-label">Credenciales de
                                            Producción:</label>
                                        {% if store_aggregator.production_credentials != None %}
                                            {{ store_aggregator.production_credentials }}
                                        {% endif %}
                                    </div>
                                    <div class="container">
                                        <label class="col-md-3 col-sm-3 col-xs-12 control-label">Credenciales de
                                            Desarrollo:</label>
                                        {% if store_aggregator.develop_credentials != None %}
                                            {{ store_aggregator.develop_credentials }}
                                        {% endif %}
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block script %}
    <script>
        $("form").submit(function (event) {
            event.preventDefault();
            var post_url = $(this).attr("action");
            var request_method = $(this).attr("method");
            var form_data = $(this).serialize();

            $.ajax({
                url: post_url,
                type: request_method,
                data: form_data,
                success: function (json) {
                    window.location.replace('{% url 'administration:index' %}');
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });
        });
    </script>
{% endblock script %}
